tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave Struct Reference

`#include <concurrent_hash_map.h>`

Collaboration diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave:

## Public Member Functions

| call_clear_on_leave (concurrent_hash_map *a_ch_map)
void | dismiss ()
| ~call_clear_on_leave ()

## Public Attributes

concurrent_hash_map * | my_ch_map

## Detailed Description

### template<typename Key, typename T, typename HashCompare, typename Allocator>
struct tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave

Definition at line 755 of file concurrent_hash_map.h.

## Constructor & Destructor Documentation

## call_clear_on_leave()

template<typename Key , typename T , typename HashCompare , typename Allocator >

tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave::call_clear_on_leave | ( | concurrent_hash_map * | a_ch_map | ) |

inline

Definition at line 757 of file concurrent_hash_map.h.

: my_ch_map(a_ch_map) {}
tbb::interface5::concurrent_hash_map::call_clear_on_leave::my_ch_map
concurrent_hash_map * my_ch_map
Definition: concurrent_hash_map.h:756

## ~call_clear_on_leave()

template<typename Key , typename T , typename HashCompare , typename Allocator >

tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave::~call_clear_on_leave | ( |  | ) |

inline

Definition at line 759 of file concurrent_hash_map.h.

{
if (my_ch_map){
my_ch_map->clear();
}
}
tbb::interface5::concurrent_hash_map::clear
void clear()
Clear table.
Definition: concurrent_hash_map.h:1505

## Member Function Documentation

## dismiss()

template<typename Key , typename T , typename HashCompare , typename Allocator >

void tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave::dismiss | ( |  | ) |

inline

Definition at line 758 of file concurrent_hash_map.h.

{my_ch_map = 0;}

References tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave::my_ch_map.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::concurrent_hash_map().

Here is the caller graph for this function:

## Member Data Documentation

## my_ch_map

template<typename Key , typename T , typename HashCompare , typename Allocator >

concurrent_hash_map* tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave::my_ch_map

Definition at line 756 of file concurrent_hash_map.h.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::call_clear_on_leave::dismiss().

The documentation for this struct was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.